> ## Documentation Index
> Fetch the complete documentation index at: https://apidocs.neetoform.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a theme

> Delete a workspace theme. Forms that use it fall back to the default theme. System themes cannot be deleted.

> [!NOTE]
>
> Replace `{your-subdomain}` with your workspace’s subdomain. \
> Learn how to find your subdomain in [Workspace subdomain](https://apidocs.neetoform.com/api/workspace-subdomain.md).


## OpenAPI

````yaml bundled/themes.yaml DELETE /themes/{id}
openapi: 3.0.3
info:
  title: NeetoForm Themes APIs
  version: 2.0.0
servers:
  - description: NeetoForm APIs
    url: https://{your-subdomain}.neetoform.com/api/external/v2
    variables:
      your-subdomain:
        default: spinkart
        description: >-
          Replace **spinkart** with your [workspace's
          subdomain](/api/workspace-subdomain).
security: []
tags:
  - name: Themes
    description: APIs to manage themes and apply them to forms.
paths:
  /themes/{id}:
    delete:
      tags:
        - Themes
      summary: Delete a theme
      description: >-
        Delete a workspace theme. Forms that use it fall back to the default
        theme. System themes cannot be deleted.
      parameters:
        - $ref: '#/components/parameters/api_key_header'
        - $ref: '#/components/parameters/theme_id_param'
      responses:
        '200':
          description: OK - Request succeeded
          content:
            application/json:
              schema:
                type: object
                properties:
                  notice:
                    type: string
                    example: The theme is successfully deleted.
        '404':
          description: Not Found - Theme does not exist, or it is a system theme
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/error_response'
              example:
                error: NeetoThemesEngine::Theme does not exist.
components:
  parameters:
    api_key_header:
      in: header
      name: X-Api-Key
      description: >-
        Use the X-Api-Key header to provide your workspace API key. Refer to
        [Authentication](/api/authentication) for more information.
      required: true
      schema:
        type: string
        default: your-api-key
    theme_id_param:
      in: path
      name: id
      description: >-
        Unique ID of the theme. You can get it from the [List
        themes](/api/themes/list) API.
      required: true
      schema:
        type: string
        example: 3b0d5c1e-2f7a-4c4e-9d1b-6a8f2e7c9b10
  schemas:
    error_response:
      type: object
      properties:
        error:
          type: string

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.